<?php
/*
The code provided below has been thoroughly tested and is guaranteed to work correctly.

However, it is possible that some of the code may become outdated due to updates and cause errors.
In such cases, please send an email to (SCode.info) with the following code and a description of the error,
 so that we can update the code and fix any potential problems.

*/

/*
* Add a period filter to the last character of the category on the single page (.)
* Copy to functions.php
*/ 
function add_dot_to_categories($categories) {
    // Check if $categories is a string (returned by default)
    if (is_string($categories)) {
      // Convert the string to an array by splitting on the comma separator
      $categories = explode(', ', $categories);
    }
  
    $separator = ' ,  ';
    $output = '';
  
    if ($categories) {
      foreach ($categories as $category) {
        $output .=  $category . $separator;
      }
      $output = rtrim($output, $separator);
      $output .= ' .';
    }
  
    return $output;
  }
  add_filter('the_category', 'add_dot_to_categories');